Last Comment Bug 547957 - C++ style comments in C unit widget/src/gtkxtbin/gtk2xtbin.c
: C++ style comments in C unit widget/src/gtkxtbin/gtk2xtbin.c
Status: RESOLVED FIXED
: verified1.9.1, verified1.9.2
Product: Core
Classification: Components
Component: Widget: Gtk (show other bugs)
: 1.9.1 Branch
: PowerPC AIX
: -- normal (vote)
: ---
Assigned To: Uli Link (:ul-mcamafia)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-23 05:38 PST by Uli Link (:ul-mcamafia)
Modified: 2010-04-25 07:36 PDT (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.2-fixed
.9-fixed


Attachments
replacing C++ comments with C-style (708 bytes, patch)
2010-02-23 05:40 PST, Uli Link (:ul-mcamafia)
roc: review+
dveditz: approval1.9.2.2+
dveditz: approval1.9.1.9+
Details | Diff | Review

Description Uli Link (:ul-mcamafia) 2010-02-23 05:38:03 PST
Compilation error due to C++ comment in C unit.

xlc_r -o gtk2xtbin.o -c  -DMOZILLA_INTERNAL_API -DMOZ_SUITE=1 -DOSTYPE=\"AIX4.3\" -DOSARCH=AIX -D_IMPL_GTKXTBIN_API -DUSE_XIM  -I/home/ulink/src/comm-1.9.1/mozilla/widget/src/gtkxtbin -I. -I../../../dist/include/xpcom -I../../../dist/include   -I../../../dist/include/gtkxtbin -I/home/ulink/src/comm-1.9.1/obj-sm2-aix43/mozilla/dist/include/nspr    -I/home/ulink/src/comm-1.9.1/obj-sm2-aix43/mozilla/dist/sdk/include -I/home/ulink/src/comm-1.9.1/mozilla/widget/src/gtkxtbin    -qflag=w:w     -DNDEBUG -DTRIMMED -O2 -qarch=604 -qmaxmem=-1 -qalias=noansi -I/opt/freeware/include/gtk-2.0 -I/opt/freeware/lib/gtk-2.0/include -I/opt/freeware/include/atk-1.0 -I/opt/freeware/include/cairo -I/opt/freeware/include/pango-1.0 -I/opt/freeware/include/glib-2.0 -I/opt/freeware/lib/glib-2.0/include -I/opt/freeware/include/gtk-unix-print-2.0     -DMOZILLA_VERSION=\"1.9.1.9pre\" -DMOZILLA_VERSION_U=1.9.1.9pre -DAIX=1 -DHAVE_SYS_INTTYPES_H=1 -DNSCAP_DISABLE_DEBUG_PTR_TYPES=1 -DD_INO=d_ino -DSTDC_HEADERS=1 -DHAVE_ST_BLKSIZE=1 -DHAVE_SIGINFO_T=1 -DHAVE_INT16_T=1 -DHAVE_INT32_T=1 -DHAVE_INT64_T=1 -DHAVE_INT64=1 -DHAVE_UINT=1 -DHAVE_UINT_T=1 -DHAVE_UINT16_T=1 -DHAVE_DIRENT_H=1 -DHAVE_MEMORY_H=1 -DHAVE_UNISTD_H=1 -DHAVE_NL_TYPES_H=1 -DHAVE_MALLOC_H=1 -DHAVE_X11_XKBLIB_H=1 -DHAVE_SYS_STATVFS_H=1 -DHAVE_SYS_STATFS_H=1 -DHAVE_LIBC_R=1 -DHAVE_LIBM=1 -DHAVE_LIBDL=1 -DHAVE_LIBC_R=1 -DFUNCPROTO=15 -DHAVE_XSHM=1 -DHAVE_FT_BITMAP_SIZE_Y_PPEM=1 -DHAVE_FT_GLYPHSLOT_EMBOLDEN=1 -DHAVE_FT_LOAD_SFNT_TABLE=1 -DHAVE_FT_SELECT_SIZE=1 -DHAVE_ARM_SIMD=1 -D_REENTRANT=1 -DHAVE_RANDOM=1 -DHAVE_STRERROR=1 -DHAVE_LCHOWN=1 -DHAVE_FCHMOD=1 -DHAVE_SNPRINTF=1 -DHAVE_MEMMOVE=1 -DHAVE_RINT=1 -DHAVE_STAT64=1 -DHAVE_LSTAT64=1 -DHAVE_TRUNCATE64=1 -DHAVE_FLOCKFILE=1 -DHAVE_LOCALTIME_R=1 -DHAVE_STRTOK_R=1 -DHAVE_RES_NINIT=1 -DHAVE_LANGINFO_CODESET=1 -DHAVE_I18N_LC_MESSAGES=1 -DMOZ_EMBEDDING_LEVEL_DEFAULT=1 -DMOZ_EMBEDDING_LEVEL_BASIC=1 -DMOZ_EMBEDDING_LEVEL_MINIMAL=1 -DMOZ_BUILD_APP=../suite -DMOZ_XUL_APP=1 -DMOZ_DEFAULT_TOOLKIT=\"cairo-gtk2\" -DMOZ_X11=1 -DMOZ_WIDGET_GTK2=1 -DMOZ_ENABLE_XREMOTE=1 -DMOZ_DISTRIBUTION_ID=\"org.mozilla\" -DMOZ_PANGO=1 -DOJI=1 -DIBMBIDI=1 -DMOZ_VIEW_SOURCE=1 -DMOZ_XPINSTALL=1 -DMOZ_JSLOADER=1 -DNS_PRINTING=1 -DNS_PRINT_PREVIEW=1 -DMOZ_NO_XPCOM_OBSOLETE=1 -DMOZ_OGG=1 -DMOZ_WAVE=1 -DMOZ_SYDNEYAUDIO=1 -DMOZ_MEDIA=1 -DMOZ_XTF=1 -DMOZ_CRASHREPORTER_ENABLE_PERCENT=100 -DMOZ_MATHML=1 -DMOZ_ENABLE_CANVAS=1 -DMOZ_SVG=1 -DMOZ_UPDATE_CHANNEL=default -DMOZ_PLACES=1 -DMOZ_FEEDS=1 -DMOZ_STORAGE=1 -DMOZ_HELP_VIEWER=1 -DMOZ_LOGGING=1 -DMOZ_USER_DIR=\".mozilla\" -DHAVE_INTTYPES_H=1 -DMOZ_XUL=1 -DMOZ_PROFILELOCKING=1 -DMOZ_RDF=1 -DMOZ_MORK=1 -DMOZ_MORKREADER=1 -DMOZ_DLL_SUFFIX=\".so\" -DXP_UNIX=1 -DUNIX_ASYNC_DNS=1  -D_MOZILLA_CONFIG_H_ -DMOZILLA_CLIENT /home/ulink/src/comm-1.9.1/mozilla/widget/src/gtkxtbin/gtk2xtbin.c
"/home/ulink/src/comm-1.9.1/mozilla/widget/src/gtkxtbin/gtk2xtbin.c", line 188.3: 1506-196 (E) Initialization between types "void(*)(struct _GSource*)" and "void(*)(void*)" is not allowed.
"/home/ulink/src/comm-1.9.1/mozilla/widget/src/gtkxtbin/gtk2xtbin.c", line 419.3: 1506-046 (S) Syntax error.
gmake[4]: *** [gtk2xtbin.o] Error 1
Comment 1 Uli Link (:ul-mcamafia) 2010-02-23 05:40:33 PST
Created attachment 428434 [details] [diff] [review]
replacing C++ comments with C-style
Comment 2 Uli Link (:ul-mcamafia) 2010-02-23 05:51:42 PST
Comment on attachment 428434 [details] [diff] [review]
replacing C++ comments with C-style

This is fixed on trunk by changeset 4c58fd598abb w/o a bug#
Comment 3 Daniel Veditz [:dveditz] 2010-02-26 13:28:09 PST
Comment on attachment 428434 [details] [diff] [review]
replacing C++ comments with C-style

Approved for 1.9.1.9 and 1.9.2.2, a=dveditz for release-drivers

Note You need to log in before you can comment on or make changes to this bug.